<?php get_header(); ?>


<div id="centrecontent" class="column">

<!-- breadcrumbs -->
<div id="path">
<?php
if(function_exists('bcn_display'))
{
	bcn_display();
}
?>
</div>

<!-- fine breadcrumbs -->

	<?php if (have_posts()) : ?>
	
		<?php $post = $posts[0]; // Thanks Kubrick for this code ?>
		
<?php if (is_category()) { ?>				
		<h2><?php _e('Articoli in'); ?> <?php echo single_cat_title(); ?></h2>		
 	  	<?php } elseif (is_day()) { ?>
		<h2><?php _e('Articoli in'); ?> <?php the_time('F j, Y'); ?></h2>
		
	 	<?php } elseif (is_month()) { ?>
		<h2><?php _e('Articoli in'); ?> <?php the_time('F, Y'); ?></h2>

		<?php } elseif (is_year()) { ?>
		<h2><?php _e('Articoli in'); ?> <?php the_time('Y'); ?></h2>

		<?php } elseif (is_author()) { ?>
		<h2><?php _e('Articoli di'); ?></h2>

		<?php } elseif (is_search()) { ?>
		<h2><?php _e('Risultati ricerca'); ?></h2>

		<?php } ?>
				
		<?php while (have_posts()) : the_post(); ?>
		
			<div class="post" id="post-<?php the_ID(); ?>">

				<h2 class="posttitle"><?php the_title(); ?></h2>
			
				<p class="postmeta">
				<?php if (!is_page()) { ?>
				<span class="postauthor"><?php _e('Scritto da '); ?><?php the_author(); ?></span><?php _e(' ('); ?>
				<?php the_time('F j, Y') ?> <?php _e('alle'); ?> <?php the_time() ?><?php _e(')'); ?>
				<?php if ( is_callable(array('GeoMashup','show_on_map_link')) ) {
				  $linkString = GeoMashup::show_on_map_link('text=Map%20&show_icon=false');
				  if ($linkString != "")
				  {
				  	echo ' &#183; ';
				  	echo $linkString;
				  }
				} ?>
				&#183; <?php _e('Contenuto in'); ?> <?php the_category(', ') ?><?php if ( function_exists('get_the_tags') ) {if (get_the_tags()) the_tags(', ',', ','');} ?>
				<?php } ?>
				<?php edit_post_link(__('Edit'), ' &#183; ', ''); ?>
				</p>
			
				<div class="postentry">
				<?php if (is_search()) { ?>
					<?php the_excerpt() ?>
				<?php } else { ?>
					<?php the_content(__('Leggi il resto &raquo;')); ?>
					<?php if (is_single()) { ?>
						<?php link_pages('', '', 'next') ?>
					<?php } ?>
				<?php } ?>
				</div>
			
				
				<!--
				<?php trackback_rdf(); ?>
				-->

			
			</div>
				
		<?php endwhile; ?>

		<p><?php posts_nav_link(' ', __(' '), __('&laquo; Articoli precedenti')); ?>
		<?php posts_nav_link(' &#183; ', __(' '), __(' ')); ?>
		<?php posts_nav_link(' ', __('Articolii successivi &raquo;'), __(' ')); ?></p>
				
	<?php else : ?>

		<h2><?php _e('Non trovato'); ?></h2>

		<p><?php _e('Spiacenti, ma nessun articolo corrisponde ai criteri'); ?></p>

	<?php endif; ?>

</div>

<?php get_sidebar(); ?>

<?php include(TEMPLATEPATH . '/rightsidebar.php'); ?>

<?php get_footer(); ?>

